#/usr/bin/bash

# start_nfcapd.sh starts netflow capture daemon (nfcapd) to collect
# networking data that will be used in later analisys. One instance
# of nfcapd is started on each node. This script takes care that
# there is output folder and if it does not exist it is created.

# It is expected to receive nodes file and folder where nfdata will
# be saved to.
if [ $# -lt 2 ]; then
    echo "Please provide nodes input file. Exiting."
    exit 1
fi

echo "Starting nfcapd processes."
while IFS='' read -r node || [[ -n "$node" ]]; do
    echo $node
    if ! ssh -oStrictHostKeyChecking=no  -n root@$node "test -d $2" ; 
    then
        ssh -n root@$node "mkdir $2"
    fi

    if ! ssh -oStrictHostKeyChecking=no  -n root@$node "test -d $2/nfdump" ;
    then
        ssh -n root@$node "mkdir $2/nfdump"
    fi
    ssh -n root@$node "nfcapd -p 2055 -l $2/nfdump -I any -t 3600 -D"
done < "$1"

