#/usr/bin/bash

if [ "$1" == "" ]; then
    echo "Please provide nodes input file. Exiting."
    exit 1
fi

echo 'Compiling traffic emulators.'
rm stream_traffic_generator
g++ -g stream_traffic_generator.c common.c -o stream_traffic_generator -lpthread

rm stream_traffic_sink
gcc -g stream_traffic_sink.c common.c -o stream_traffic_sink -std=gnu99 -lpthread

rm command_simulator
gcc -g command_simulator.c common.c -o command_simulator --std=gnu99 -lpthread

rm device_simulator
g++ -g device_simulator.c common.c -o device_simulator  -lpthread

echo 'Distributing ssh and nodes files'
while IFS='' read -r node || [[ -n "$node" ]]; do
    echo $node
    if ! ssh -oStrictHostKeyChecking=no  -n root@$node "test -d /root/sm_simulator" ; 
    then
        ssh -oStrictHostKeyChecking=no -n root@$node 'mkdir /root/sm_simulator/'
    fi
    scp * root@$node:/root/sm_simulator
done < "$1"

